#pragma once
#include "mof/SelectionModel.h"
#include "MyFrame.h"
#include "Area.h"
#include "World.h"
#include "GameData.h"


namespace et{

	class AreaMenu : public MyFrame{
		mof::Window* addSelectableTextItem(mof::Window* pOwner , std::vector<mof::Window*>& selectables , TCHAR* text , int size);

		mof::SelectionModel* m_pSelector;
		mof::TextureManager* m_pTextureManager;
		et::World* m_pWorld;
		et::GameData* m_pGameData;
		mof::Vector2D m_position;
	public:
		AreaMenu(et::Area& area , mof::TextureManager* pTextureManager , et::World* pWorld , et::GameData* m_pGameData , mof::Vector2D& position);
		virtual ~AreaMenu();
		virtual void setVisible(bool visible);

		virtual mof::SelectionModel* getSelectionModel(){return m_pSelector;}
		virtual et::MyFrame* performAction();

	};



};